Bug 89149 - "Password:" message in gdm not translated
Summary: "Password:" message in gdm not translated
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-18 13:15 UTC by Christian Rose
Modified: 2015-01-08 00:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-20 07:24:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christian Rose 2003-04-18 13:15:48 UTC
Tested with RHL 9 and sv_SE as the locale.

The "Password:" message on the default RHL login screen (gdm) is untranslated.


Steps to Reproduce:

1. Install RHL 9 system with Swedish as the language.
2. Enter a valid username at the login prompt of the freshly installed system.
3. Watch the untranslated "Password:" message at the password prompt.
    

Actual results:

"Password:" is untranslated.


Expected results:

"Password:" should be shown translated into Swedish ("Lösenord:").


Additional info:

gdm2 and all Red Hat tools are 100% translated into Swedish, so perhaps this
message isn't properly gettextified or some such.

Comment 1 Havoc Pennington 2003-04-18 14:16:34 UTC
Maybe the string comes from pam - if it's a gdm string, should
be fixed upstream, I avoid .po patches in spec files pretty 
religiously.

Comment 2 Christian Rose 2003-04-18 14:27:06 UTC
It couldn't be from redhat-artwork? This message isn't present in redhat-artwork
po files. "Username:" is though.

Comment 3 Havoc Pennington 2003-04-18 15:06:10 UTC
Could be. Just checked though, doesn't seem to be in the theme file.

Comment 4 Miloslav Trmac 2003-04-18 21:07:53 UTC
A "Password:" string is present in /lib/security/pam_unix_passwd.so,
the gdm PAM backend just presents messages from the pam conversation.

Dragging gettext in pam security modules seems a bit risky security-wise
to me. It could be just hacked around by special-casing the "Password:"
string and displaying the translated version.

Another possibility would be to mark the messages in pam modules for
translation and provide the translations, but not call gettext ()
in the modules themselves. That way, the pam caller can choose to
implement security as needed, that is call gettext as root (as gdm
currently does), call gettext in a subchild, don't call it at all...

Comment 5 Miloslav Trmac 2004-02-27 12:53:05 UTC
This works fine (in gdm) in FC 1.

Comment 6 Miloslav Trmac 2004-05-20 07:24:13 UTC
... and in FC2.


Note You need to log in before you can comment on or make changes to this bug.